# Uses of Enum Class
java.lang.reflect.ClassFileFormatVersion

Packages that use ClassFileFormatVersion
Package
Description
java.lang.reflect
Provides classes and interfaces for obtaining reflective information about classes and objects.

## Uses of ClassFileFormatVersion in java.lang.reflect

Methods in java.lang.reflect that return ClassFileFormatVersion
Modifier and Type
Method
Description
`static ClassFileFormatVersion`
ClassFileFormatVersion.`fromMajor(int major)`
Returns the latest class file format version whose major class file version matches the argument.
`static ClassFileFormatVersion`
ClassFileFormatVersion.`latest()`
Returns the latest class file format version.
`static ClassFileFormatVersion`
ClassFileFormatVersion.`valueOf(Runtime.Version rv)`
Returns the latest class file format version that is usable under the runtime version argument.
`static ClassFileFormatVersion`
ClassFileFormatVersion.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ClassFileFormatVersion[]`
ClassFileFormatVersion.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in java.lang.reflect with parameters of type ClassFileFormatVersion
Modifier and Type
Method
Description
`Set<AccessFlag.Location>`
AccessFlag.`locations(ClassFileFormatVersion cffv)`
Returns kinds of constructs the flag can be applied to in the given class file format version.